Subject: Re: bug#76028: 31; completing-read-multiple: Add prompt indicator

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Feb 2025 13:52:17 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: Juri Linkov <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Fri, 07 Feb 2025 10:44:49 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think this does have to be called out in NEWS, including the new
> > user option.  In a sense, this is an incompatible behavior change, so
> > we cannot introduce it silently.
> 
> Agree. I have attached an updated patch to this mail, where the change
> is announced in the NEWS.

Thanks, I have a few minor comments below.

> ++++

The "+++" marker means the manuals weer updated with this information,
which is not true in this case.  If you think this should be described
in the ELisp manual, please include a patch for that.  If you think
this is too minor to be in the manual, please mark the NEWS entry with
"---" instead.

> +*** New user option 'crm-prompt'.
> +This option configures the prompt of 'completing-read-multiple'. By
> +default the prompt indicates to the user that the completion accepts a
> +comma-separated list.

Two spaces between sentences, please.

More importantly, it sounds like you tried to describe both the
changes to 'completing-read-multiple' and the new option.  I think it
would be better to describe them in two separate entries.  In any
case, the entry for 'crm-prompt' should describe the default value.

>                         The variable 'crm-separator' carries the prompt
> +description and the separator string as text properties.

I didn't understand this sentence: what do you mean by "carries" here?
I guess a more detailed description is needed for this part.

Thanks.